Subject: Re: [PATCH v4 0/3] net: mvpp2: tai: add extts support

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 1 May 2023 20:45:50 +0100

Hi,

I've been on a two week vacation, so I'm going to be catching up with a
lot of email - and I do want to review this before it's merged.

On Sun, Apr 30, 2023 at 08:06:53PM +0300, Shmuel Hazan wrote:
> This patch series adds support for PTP event capture on the Aramda
> 80x0/70x0. This feature is mainly used by tools linux ts2phc(3) in order
> to synchronize a timestamping unit (like the mvpp2's TAI) and a system
> DPLL on the same PCB. 
> 
> The patch series includes 3 patches: the second one implements the
> actual extts function.
> 
> Changes in v2:
> 	* Fixed a deadlock in the poll worker.
> 	* Removed tabs from comments.
> 
> Changes in v3:
> 	* Added more explanation about the change in behavior in mvpp22_tai_start.
> 	* Explain the reason for choosing 95ms as a polling rate.
> 
> Changes in v4:
> 	* Add additional lock for the polling worker reference count. 
> 
> Shmuel Hazan (3):
>   net: mvpp2: tai: add refcount for ptp worker
>   net: mvpp2: tai: add extts support
>   dt-bindings: net: marvell,pp2: add extts docs
> 
>  .../devicetree/bindings/net/marvell,pp2.yaml  |  18 +
>  .../net/ethernet/marvell/mvpp2/mvpp2_tai.c    | 332 ++++++++++++++++--
>  2 files changed, 316 insertions(+), 34 deletions(-)
> 
> 
> base-commit: 3e7bb4f2461710b70887704af7f175383251088e
> -- 
> 2.40.1
> 
> 

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!